Skip to main content
GET
/
api
/
v1
/
gov
/
usa
/
congress
/
trades
Government Trades
curl --request GET \
  --url 'https://api.benzinga.com/api/v1/gov/usa/congress/trades?token='
import requests

url = "https://api.benzinga.com/api/v1/gov/usa/congress/trades?token="

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.benzinga.com/api/v1/gov/usa/congress/trades?token=', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
    "data": [
        {
            "amendment_number": 0,
            "amount": "$1,001 - $15,000",
            "chamber": "House",
            "description": "Professionally Managed Account.",
            "disclosure_url": "https://disclosures-clerk.house.gov/public_disc/ptr-pdfs/2026/20034496.pdf",
            "filer_info": {
                "chamber": "House",
                "committees": {
                    "Committee on Foreign Affairs": [
                        "East Asia and Pacific",
                        "Western Hemisphere"
                    ],
                    "Committee on Homeland Security": [
                        "Border Security and Enforcement",
                        "Transportation and Maritime Security"
                    ],
                    "Committee on Science, Space, and Technology": [
                        "Energy",
                        "Research and Technology"
                    ]
                },
                "display_name": "Sheri Biggs",
                "district": "3",
                "headshot": "https://clerk.house.gov/content/assets/img/members/B001325.jpg",
                "id": "67782294211dee338b2b86f2",
                "leadership_positions": [],
                "member_id": "B001325",
                "member_name": "Sheri Biggs",
                "party": "R",
                "state": "SC",
                "status": "Member",
                "updated": 1781096558,
                "website": ""
            },
            "id": "6a296077f07735f389b33f69",
            "notification_date": "2026-06-08",
            "ownership": "SP",
            "report_date": "2026-06-09",
            "report_id": "20034496",
            "security": {
                "name": "Alphakeys Blackstone Life",
                "ticker": "",
                "type": ""
            },
            "transaction_date": "2026-04-28",
            "transaction_id": "e3b297fc9ab6ec13d9c099e4edede8ff70de242f",
            "transaction_type": "P",
            "updated": 1781096567
        }
    ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No data found for the specified parameters"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}
{
    "data": [
        {
            "amendment_number": 0,
            "amount": "$1,001 - $15,000",
            "chamber": "House",
            "description": "Professionally Managed Account.",
            "disclosure_url": "https://disclosures-clerk.house.gov/public_disc/ptr-pdfs/2026/20034496.pdf",
            "filer_info": {
                "chamber": "House",
                "committees": {
                    "Committee on Foreign Affairs": [
                        "East Asia and Pacific",
                        "Western Hemisphere"
                    ],
                    "Committee on Homeland Security": [
                        "Border Security and Enforcement",
                        "Transportation and Maritime Security"
                    ],
                    "Committee on Science, Space, and Technology": [
                        "Energy",
                        "Research and Technology"
                    ]
                },
                "display_name": "Sheri Biggs",
                "district": "3",
                "headshot": "https://clerk.house.gov/content/assets/img/members/B001325.jpg",
                "id": "67782294211dee338b2b86f2",
                "leadership_positions": [],
                "member_id": "B001325",
                "member_name": "Sheri Biggs",
                "party": "R",
                "state": "SC",
                "status": "Member",
                "updated": 1781096558,
                "website": ""
            },
            "id": "6a296077f07735f389b33f69",
            "notification_date": "2026-06-08",
            "ownership": "SP",
            "report_date": "2026-06-09",
            "report_id": "20034496",
            "security": {
                "name": "Alphakeys Blackstone Life",
                "ticker": "",
                "type": ""
            },
            "transaction_date": "2026-04-28",
            "transaction_id": "e3b297fc9ab6ec13d9c099e4edede8ff70de242f",
            "transaction_type": "P",
            "updated": 1781096567
        }
    ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "auth_failed",
      "id": "unauthorized",
      "value": "Invalid or missing authentication token"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "no_data_found",
      "id": "not_found",
      "value": "No data found for the specified parameters"
    }
  ]
}
{
  "ok": false,
  "errors": [
    {
      "code": "internal_server_error",
      "id": "server_error",
      "value": "An unexpected error occurred while processing your request"
    }
  ]
}

Authorizations

token
string
query
required

Query Parameters

page
integer
default:0

Page offset. For optimization, performance and technical reasons, page offsets are limited from 0 - 100000. Limit the query results by other parameters such as date. Default is 0

pagesize
integer
default:100

Number of results returned. Limit 1000

date_from
string<date>

Start date in YYYY-MM-DD format

date_to
string<date>

End date in YYYY-MM-DD format

updated_since
integer

Records last Updated Unix timestamp (UTC). This will force the sort order to be Greater Than or Equal to the timestamp indicated

date
string<date>

Date in YYYY-MM-DD format

chamber
enum<string>

Chamber

Available options:
House,
Senate
fields
string

Fields

search_keys_type
enum<string>

Search keys type

Available options:
report_id,
ticker
search_keys
string

Search keys

Response

Government Trades

data
object[]